Skip to main content
GET
/
conversations
/
{conversation_id}
/
variables
List Conversation Variables
curl --request GET \
  --url https://{api_base_url}/conversations/{conversation_id}/variables \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/conversations/{conversation_id}/variables"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/conversations/{conversation_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 20,
  "has_more": false,
  "data": [
    {
      "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "name": "user_preference",
      "value_type": "string",
      "value": "dark_mode",
      "description": "User preference setting",
      "created_at": 1705407629,
      "updated_at": 1705411229
    }
  ]
}
{
"status": 400,
"code": "not_chat_app",
"message": "Please check if your app mode matches the right API route."
}
{
"status": 404,
"code": "not_found",
"message": "Conversation Not Exists."
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

conversation_id
string
required

Conversation ID.

Query Parameters

user
string

The user identifier.

last_id
string

The ID of the last record on the current page (for pagination).

limit
integer
default:20

Number of records to return.

Required range: 1 <= x <= 100
variable_name
string

Filter variables by a specific name.

Required string length: 1 - 255

Response

Successfully retrieved conversation variables.

limit
integer

Number of items per page.

has_more
boolean

Whether there is a next page.

data
object[]

List of conversation variables.

Last modified on July 9, 2026